Subject: [tsvwg] [Editorial Errata Reported] RFC8311 (5399)

From: RFC Errata System <[email-masked]>
Date: Tue, 19 Jun 2018 14:37:32 -0700 (PDT)

The following errata report has been submitted for RFC8311,
"Relaxing Restrictions on Explicit Congestion Notification (ECN) Experimentation".

--------------------------------------
You may review the report below and at:
http://www.rfc-editor.org/errata/eid5399

--------------------------------------
Type: Editorial
Reported by: David Black <[email-masked]>

Section: 7

Original Text
-------------
(n/a, this errata adds an additional IANA Consideration)

Corrected Text
--------------
To reflect the experimental use of ECT(1) envisioned by this memo,
IANA has added the following footnote to the ECN Field registry
<https://www.iana.org/assignments/dscp-registry/
dscp-registry.xhtml#ecn-field)>:

ECT(1) is for experimental use only [RFC8311, Section 4.2]

Notes
-----
The Corrected Text is written as if IANA has already added the footnote, which will be done upon approval of this errata, citing this approved errata as justification.

Instructions:
-------------
This erratum is currently posted as "Reported". If necessary, please
use "Reply All" to discuss whether it should be verified or
rejected. When a decision is reached, the verifying party  
can log in to change the status and edit the report, if necessary. 

--------------------------------------
RFC8311 (draft-ietf-tsvwg-ecn-experimentation-08)
--------------------------------------
Title               : Relaxing Restrictions on Explicit Congestion Notification (ECN) Experimentation
Publication Date    : January 2018
Author(s)           : D. Black
Category            : PROPOSED STANDARD
Source              : Transport Area Working Group
Area                : Transport
Stream              : IETF
Verifying Party     : IESG

---

From: "Black, David" <[email-masked]>
Date: Tue, 19 Jun 2018 22:44:37 +0000

Explanation - this was noticed in looking over the DSCP registry changes for draft-ietf-tsvwg-iana-dscp-registry-08.  A footnote in the registry to indicate current ECT(1) usage seems helpful.

Thanks, --David

> -----Original Message-----
> From: RFC Errata System [mailto:[email-masked]]
> Sent: Tuesday, June 19, 2018 5:38 PM
> To: Black, David; [email-masked]; [email-masked];
> Black, David; [email-masked]; [email-masked]
> Cc: Black, David; [email-masked]; [email-masked]
> Subject: [Editorial Errata Reported] RFC8311 (5399)
> 
> The Corrected Text is written as if IANA has already added the footnote,
> which will be done upon approval of this errata, citing this approved errata as
> justification.
> 
> Instructions:
> -------------

---

From: Megan Ferguson <[email-masked]>
Date: Mon, 25 Jun 2018 22:23:24 -0700

Greetings,

We suggest updating the Type of this errata report from “Editorial” to “Technical”.

Please see https://www.rfc-editor.org/errata-definitions/ for further information.

If this update is agreeable, we would be happy to edit the report.

Thank you.

RFC Editor/mf

---

From: "Black, David" <[email-masked]>
Date: Tue, 26 Jun 2018 15:42:52 +0000

That's ok, given that this errata does result in a modification to an IANA registry.

Thanks, --David

> From: Megan Ferguson [mailto:[email-masked]]
> Sent: Tuesday, June 26, 2018 1:23 AM
> To: Black, David; Black, David; Spencer Dawkins at IETF; Mirja Kuehlewind
> (IETF); Gorry Fairhust; Wesley Eddy
> Cc: RFC System; [email-masked]
> Subject: Re: [Editorial Errata Reported] RFC8311 (5399)
> 
> Greetings,
> 
> We suggest updating the Type of this errata report from "Editorial" to
> "Technical".
>

---

From: Megan Ferguson <[email-masked]>
Date: Tue, 26 Jun 2018 10:03:52 -0700

David,

Thanks for the reply.  This has been updated.

RFC Editor/mf